## indi-starbook-ten 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi-starbook-ten CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(INDI REQUIRED)
find_package(Nova REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})
include_directories(${NOVA_INCLUDE_DIR})

include(CMakeCommon)

set(STARBOOK_TEN_VERSION_MAJOR 0)
set(STARBOOK_TEN_VERSION_MINOR 1)

set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_starbook_ten.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_starbook_ten.xml)


########### Starbook Ten ###########
set(indi_starbook_ten_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/connectionhttp.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/indi_starbook_ten.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/starbook_ten.cpp
   )

add_executable(indi_starbook_ten ${indi_starbook_ten_SRCS})
target_link_libraries(indi_starbook_ten ${INDI_LIBRARIES} ${NOVA_LIBRARIES})

install(TARGETS indi_starbook_ten RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_starbook_ten.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-starbook-ten (0.1-4) unstable; urgency=medium

  * debian/control: move package to the debian-astro team

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Oct 2025 11:38:00 +0200

indi-starbook-ten (0.1-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113034)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:38:00 +0200

indi-starbook-ten (0.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Dec 2021 22:30:07 +0100

indi-starbook-ten (0.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 18:30:07 +0100

=== debian/control ===
Source: indi-starbook-ten
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-starbook-ten
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-starbook-ten.git

Package: indi-starbook-ten
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Vixen Starbook Ten telescope controllers
 This package contains a INDI driver for the Vixen Starbook Ten telescope
 controllers. It works by using an HTTP link.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
